<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>reals_s2v &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>reals_s2v
      <small>Function</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">10 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">reals_s2v</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
private function reals_s2v(chars)
    
    
   
</h2>
    
  


    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-chars%7E6"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>chars</strong>(:)</td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
    
    
    
   <h3>Return Value <small><span class="anchor" id="variable-reals_s2v"></span>real,
  allocatable,(:)</small></h3>
    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~reals_s2v~~CallsGraph Pages: 1 -->
<svg id="procreals_s2vCallsGraph" width="641pt" height="286pt"
 viewBox="0.00 0.00 641.00 286.03" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~reals_s2v~~CallsGraph" class="graph" transform="scale(.9317 .9317) rotate(0) translate(4 303)">
<title>proc~~reals_s2v~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-303 684,-303 684,4 -4,4"/>
<!-- proc~reals_s2v -->
<g id="proc~~reals_s2v~~CallsGraph_node1" class="node">
<title>proc~reals_s2v</title>
<polygon fill="none" stroke="#000000" points="58,-113 0,-113 0,-89 58,-89 58,-113"/>
<text text-anchor="middle" x="29" y="-98.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">reals_s2v</text>
</g>
<!-- proc~s2v -->
<g id="proc~~reals_s2v~~CallsGraph_node2" class="node">
<title>proc~s2v</title>
<g id="a_proc~~reals_s2v~~CallsGraph_node2"><a xlink:href=".././proc/s2v.html" xlink:title="s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="148,-113 94,-113 94,-89 148,-89 148,-113"/>
<text text-anchor="middle" x="121" y="-98.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">s2v</text>
</a>
</g>
</g>
<!-- proc~reals_s2v&#45;&gt;proc~s2v -->
<g id="proc~~reals_s2v~~CallsGraph_edge1" class="edge">
<title>proc~reals_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M58.1094,-101C66.2682,-101 75.2502,-101 83.8095,-101"/>
<polygon fill="#000000" stroke="#000000" points="83.9566,-104.5001 93.9566,-101 83.9566,-97.5001 83.9566,-104.5001"/>
</g>
<!-- proc~a2d -->
<g id="proc~~reals_s2v~~CallsGraph_node3" class="node">
<title>proc~a2d</title>
<g id="a_proc~~reals_s2v~~CallsGraph_node3"><a xlink:href=".././proc/a2d.html" xlink:title="a2d">
<polygon fill="#d9534f" stroke="#d9534f" points="238,-113 184,-113 184,-89 238,-89 238,-113"/>
<text text-anchor="middle" x="211" y="-98.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2d</text>
</a>
</g>
</g>
<!-- proc~s2v&#45;&gt;proc~a2d -->
<g id="proc~~reals_s2v~~CallsGraph_edge2" class="edge">
<title>proc~s2v&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M148.003,-101C156.0277,-101 164.9665,-101 173.5309,-101"/>
<polygon fill="#000000" stroke="#000000" points="173.7051,-104.5001 183.705,-101 173.705,-97.5001 173.7051,-104.5001"/>
</g>
<!-- proc~substitute -->
<g id="proc~~reals_s2v~~CallsGraph_node4" class="node">
<title>proc~substitute</title>
<g id="a_proc~~reals_s2v~~CallsGraph_node4"><a xlink:href=".././proc/substitute.html" xlink:title="substitute">
<polygon fill="#d9534f" stroke="#d9534f" points="338.5,-236 280.5,-236 280.5,-212 338.5,-212 338.5,-236"/>
<text text-anchor="middle" x="309.5" y="-221.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">substitute</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;proc~substitute -->
<g id="proc~~reals_s2v~~CallsGraph_edge3" class="edge">
<title>proc~a2d&#45;&gt;proc~substitute</title>
<path fill="none" stroke="#000000" d="M216.2079,-113.295C225.4071,-133.8808 246.2164,-175.7424 274,-203 275.0543,-204.0343 276.1691,-205.0383 277.3279,-206.0101"/>
<polygon fill="#000000" stroke="#000000" points="275.2984,-208.862 285.4372,-211.9372 279.4291,-203.2106 275.2984,-208.862"/>
</g>
<!-- proc~decodebase -->
<g id="proc~~reals_s2v~~CallsGraph_node5" class="node">
<title>proc~decodebase</title>
<g id="a_proc~~reals_s2v~~CallsGraph_node5"><a xlink:href=".././proc/decodebase.html" xlink:title="decodebase">
<polygon fill="#d94e8f" stroke="#d94e8f" points="345,-93 274,-93 274,-69 345,-69 345,-93"/>
<text text-anchor="middle" x="309.5" y="-78.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">decodebase</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;proc~decodebase -->
<g id="proc~~reals_s2v~~CallsGraph_edge4" class="edge">
<title>proc~a2d&#45;&gt;proc~decodebase</title>
<path fill="none" stroke="#000000" d="M238.1763,-95.482C246.2028,-93.8522 255.2155,-92.0222 264.0631,-90.2258"/>
<polygon fill="#000000" stroke="#000000" points="264.8172,-93.6442 273.9207,-88.2242 263.4242,-86.7841 264.8172,-93.6442"/>
</g>
<!-- interface~v2s -->
<g id="proc~~reals_s2v~~CallsGraph_node6" class="node">
<title>interface~v2s</title>
<g id="a_proc~~reals_s2v~~CallsGraph_node6"><a xlink:href=".././interface/v2s.html" xlink:title="v2s">
<polygon fill="#a7506f" stroke="#a7506f" points="336.5,-194 282.5,-194 282.5,-170 336.5,-170 336.5,-194"/>
<text text-anchor="middle" x="309.5" y="-179.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">v2s</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;interface~v2s -->
<g id="proc~~reals_s2v~~CallsGraph_edge5" class="edge">
<title>proc~a2d&#45;&gt;interface~v2s</title>
<path fill="none" stroke="#000000" d="M225.96,-113.3022C242.1808,-126.6411 268.2535,-148.0815 286.958,-163.4629"/>
<polygon fill="#000000" stroke="#000000" points="284.775,-166.1992 294.7219,-169.8475 289.2211,-160.7925 284.775,-166.1992"/>
</g>
<!-- interface~string_to_value -->
<g id="proc~~reals_s2v~~CallsGraph_node11" class="node">
<title>interface~string_to_value</title>
<g id="a_proc~~reals_s2v~~CallsGraph_node11"><a xlink:href=".././interface/string_to_value.html" xlink:title="string_to_value">
<polygon fill="#a7506f" stroke="#a7506f" points="466,-75 381,-75 381,-51 466,-51 466,-75"/>
<text text-anchor="middle" x="423.5" y="-60.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">string_to_value</text>
</a>
</g>
</g>
<!-- proc~decodebase&#45;&gt;interface~string_to_value -->
<g id="proc~~reals_s2v~~CallsGraph_edge6" class="edge">
<title>proc~decodebase&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M345.2575,-75.3541C353.33,-74.0795 362.0657,-72.7001 370.6738,-71.341"/>
<polygon fill="#000000" stroke="#000000" points="371.3413,-74.779 380.673,-69.7622 370.2495,-67.8647 371.3413,-74.779"/>
</g>
<!-- proc~r2s -->
<g id="proc~~reals_s2v~~CallsGraph_node7" class="node">
<title>proc~r2s</title>
<g id="a_proc~~reals_s2v~~CallsGraph_node7"><a xlink:href=".././proc/r2s.html" xlink:title="r2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="450.5,-215 396.5,-215 396.5,-191 450.5,-191 450.5,-215"/>
<text text-anchor="middle" x="423.5" y="-200.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">r2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~r2s -->
<g id="proc~~reals_s2v~~CallsGraph_edge8" class="edge">
<title>interface~v2s&#45;&gt;proc~r2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M336.5164,-186.9767C351.3155,-189.7029 369.8844,-193.1234 386.0611,-196.1034"/>
<polygon fill="#000000" stroke="#000000" points="385.8138,-199.6166 396.2824,-197.9862 387.082,-192.7325 385.8138,-199.6166"/>
</g>
<!-- proc~l2s -->
<g id="proc~~reals_s2v~~CallsGraph_node8" class="node">
<title>proc~l2s</title>
<g id="a_proc~~reals_s2v~~CallsGraph_node8"><a xlink:href=".././proc/l2s.html" xlink:title="l2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="450.5,-173 396.5,-173 396.5,-149 450.5,-149 450.5,-173"/>
<text text-anchor="middle" x="423.5" y="-158.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">l2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~l2s -->
<g id="proc~~reals_s2v~~CallsGraph_edge7" class="edge">
<title>interface~v2s&#45;&gt;proc~l2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M336.5164,-177.0233C351.3155,-174.2971 369.8844,-170.8766 386.0611,-167.8966"/>
<polygon fill="#000000" stroke="#000000" points="387.082,-171.2675 396.2824,-166.0138 385.8138,-164.3834 387.082,-171.2675"/>
</g>
<!-- proc~i2s -->
<g id="proc~~reals_s2v~~CallsGraph_node9" class="node">
<title>proc~i2s</title>
<g id="a_proc~~reals_s2v~~CallsGraph_node9"><a xlink:href=".././proc/i2s.html" xlink:title="i2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="450.5,-299 396.5,-299 396.5,-275 450.5,-275 450.5,-299"/>
<text text-anchor="middle" x="423.5" y="-284.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">i2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~i2s -->
<g id="proc~~reals_s2v~~CallsGraph_edge9" class="edge">
<title>interface~v2s&#45;&gt;proc~i2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M334.0259,-194.2093C337.957,-196.7902 341.7838,-199.7351 345,-203 367.6314,-225.9743 357.5204,-243.8933 381,-266 382.9399,-267.8265 385.0689,-269.5269 387.3081,-271.1038"/>
<polygon fill="#000000" stroke="#000000" points="385.9601,-274.3801 396.324,-276.58 389.594,-268.3972 385.9601,-274.3801"/>
</g>
<!-- proc~d2s -->
<g id="proc~~reals_s2v~~CallsGraph_node10" class="node">
<title>proc~d2s</title>
<g id="a_proc~~reals_s2v~~CallsGraph_node10"><a xlink:href=".././proc/d2s.html" xlink:title="d2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="450.5,-257 396.5,-257 396.5,-233 450.5,-233 450.5,-257"/>
<text text-anchor="middle" x="423.5" y="-242.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">d2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~d2s -->
<g id="proc~~reals_s2v~~CallsGraph_edge10" class="edge">
<title>interface~v2s&#45;&gt;proc~d2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M329.9853,-194.135C349.2698,-205.542 375.9327,-221.2644 381,-224 383.666,-225.4393 386.4441,-226.8988 389.2469,-228.3431"/>
<polygon fill="#000000" stroke="#000000" points="387.6733,-231.4694 398.1764,-232.8606 390.8333,-225.2232 387.6733,-231.4694"/>
</g>
<!-- proc~value_to_string -->
<g id="proc~~reals_s2v~~CallsGraph_node12" class="node">
<title>proc~value_to_string</title>
<g id="a_proc~~reals_s2v~~CallsGraph_node12"><a xlink:href=".././proc/value_to_string.html" xlink:title="value_to_string">
<polygon fill="#d9534f" stroke="#d9534f" points="587,-236 502,-236 502,-212 587,-212 587,-236"/>
<text text-anchor="middle" x="544.5" y="-221.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">value_to_string</text>
</a>
</g>
</g>
<!-- proc~r2s&#45;&gt;proc~value_to_string -->
<g id="proc~~reals_s2v~~CallsGraph_edge11" class="edge">
<title>proc~r2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M450.6548,-207.7128C462.7656,-209.8147 477.4689,-212.3665 491.6088,-214.8205"/>
<polygon fill="#000000" stroke="#000000" points="491.3089,-218.3207 501.7601,-216.5823 492.5059,-211.4238 491.3089,-218.3207"/>
</g>
<!-- proc~l2s&#45;&gt;proc~value_to_string -->
<g id="proc~~reals_s2v~~CallsGraph_edge12" class="edge">
<title>proc~l2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M448.2884,-173.0804C454.1162,-175.967 460.2915,-179.0635 466,-182 481.6721,-190.0618 498.9566,-199.2742 513.308,-207.013"/>
<polygon fill="#000000" stroke="#000000" points="511.8078,-210.1807 522.2689,-211.8587 515.1375,-204.0233 511.8078,-210.1807"/>
</g>
<!-- proc~i2s&#45;&gt;proc~value_to_string -->
<g id="proc~~reals_s2v~~CallsGraph_edge13" class="edge">
<title>proc~i2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M448.2884,-274.9196C454.1162,-272.033 460.2915,-268.9365 466,-266 481.6721,-257.9382 498.9566,-248.7258 513.308,-240.987"/>
<polygon fill="#000000" stroke="#000000" points="515.1375,-243.9767 522.2689,-236.1413 511.8078,-237.8193 515.1375,-243.9767"/>
</g>
<!-- proc~d2s&#45;&gt;proc~value_to_string -->
<g id="proc~~reals_s2v~~CallsGraph_edge14" class="edge">
<title>proc~d2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M450.6548,-240.2872C462.7656,-238.1853 477.4689,-235.6335 491.6088,-233.1795"/>
<polygon fill="#000000" stroke="#000000" points="492.5059,-236.5762 501.7601,-231.4177 491.3089,-229.6793 492.5059,-236.5762"/>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2d -->
<g id="proc~~reals_s2v~~CallsGraph_edge17" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M380.6927,-55.3417C350.2873,-51.5273 308.8424,-49.6607 274,-60 258.8466,-64.4967 243.9292,-73.9167 232.4167,-82.5945"/>
<polygon fill="#000000" stroke="#000000" points="230.0008,-80.0429 224.3293,-88.9919 234.3436,-85.5329 230.0008,-80.0429"/>
</g>
<!-- proc~a2i -->
<g id="proc~~reals_s2v~~CallsGraph_node13" class="node">
<title>proc~a2i</title>
<g id="a_proc~~reals_s2v~~CallsGraph_node13"><a xlink:href=".././proc/a2i.html" xlink:title="a2i">
<polygon fill="#d9534f" stroke="#d9534f" points="571.5,-104 517.5,-104 517.5,-80 571.5,-80 571.5,-104"/>
<text text-anchor="middle" x="544.5" y="-89.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2i</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2i -->
<g id="proc~~reals_s2v~~CallsGraph_edge16" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2i</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M466.1601,-73.2243C479.5821,-76.4412 494.2906,-79.9663 507.3019,-83.0847"/>
<polygon fill="#000000" stroke="#000000" points="506.7754,-86.5576 517.3158,-85.4848 508.407,-79.7504 506.7754,-86.5576"/>
</g>
<!-- proc~a2r -->
<g id="proc~~reals_s2v~~CallsGraph_node14" class="node">
<title>proc~a2r</title>
<g id="a_proc~~reals_s2v~~CallsGraph_node14"><a xlink:href=".././proc/a2r.html" xlink:title="a2r">
<polygon fill="#d9534f" stroke="#d9534f" points="571.5,-24 517.5,-24 517.5,0 571.5,0 571.5,-24"/>
<text text-anchor="middle" x="544.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2r</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2r -->
<g id="proc~~reals_s2v~~CallsGraph_edge15" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2r</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M452.1753,-50.9137C468.8037,-43.9051 489.9159,-35.0065 507.7534,-27.4882"/>
<polygon fill="#000000" stroke="#000000" points="509.4214,-30.5835 517.2769,-23.4742 506.7026,-24.133 509.4214,-30.5835"/>
</g>
<!-- proc~trimzeros -->
<g id="proc~~reals_s2v~~CallsGraph_node15" class="node">
<title>proc~trimzeros</title>
<g id="a_proc~~reals_s2v~~CallsGraph_node15"><a xlink:href=".././proc/trimzeros.html" xlink:title="trimzeros">
<polygon fill="#d9534f" stroke="#d9534f" points="680,-236 623,-236 623,-212 680,-212 680,-236"/>
<text text-anchor="middle" x="651.5" y="-221.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">trimzeros</text>
</a>
</g>
</g>
<!-- proc~value_to_string&#45;&gt;proc~trimzeros -->
<g id="proc~~reals_s2v~~CallsGraph_edge18" class="edge">
<title>proc~value_to_string&#45;&gt;proc~trimzeros</title>
<path fill="none" stroke="#000000" d="M587.0967,-224C595.538,-224 604.3576,-224 612.6658,-224"/>
<polygon fill="#000000" stroke="#000000" points="612.8491,-227.5001 622.849,-224 612.849,-220.5001 612.8491,-227.5001"/>
</g>
<!-- proc~a2i&#45;&gt;proc~a2d -->
<g id="proc~~reals_s2v~~CallsGraph_edge19" class="edge">
<title>proc~a2i&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M517.4107,-93.7889C479.0541,-96.2235 406.7091,-100.4544 345,-102 313.4543,-102.7901 305.5546,-102.2504 274,-102 265.7705,-101.9347 256.9368,-101.8214 248.5649,-101.694"/>
<polygon fill="#000000" stroke="#000000" points="248.343,-98.19 238.2876,-101.5275 248.2296,-105.1891 248.343,-98.19"/>
</g>
<!-- proc~a2r&#45;&gt;proc~a2d -->
<g id="proc~~reals_s2v~~CallsGraph_edge20" class="edge">
<title>proc~a2r&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M517.4713,-10.925C467.2585,-9.9384 357.1379,-12.5699 274,-49 256.9023,-56.492 240.7318,-70.0266 229.055,-81.4094"/>
<polygon fill="#000000" stroke="#000000" points="226.2553,-79.2643 221.7328,-88.8454 231.2431,-84.1757 226.2553,-79.2643"/>
</g>
</g>
</svg>
</div><script>var panprocreals_s2vCallsGraph = svgPanZoom('#procreals_s2vCallsGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~reals_s2v~~CalledByGraph Pages: 1 -->
<svg id="procreals_s2vCalledByGraph" width="156pt" height="32pt"
 viewBox="0.00 0.00 156.00 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~reals_s2v~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>proc~~reals_s2v~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 152,-28 152,4 -4,4"/>
<!-- proc~reals_s2v -->
<g id="proc~~reals_s2v~~CalledByGraph_node1" class="node">
<title>proc~reals_s2v</title>
<polygon fill="none" stroke="#000000" points="148,-24 90,-24 90,0 148,0 148,-24"/>
<text text-anchor="middle" x="119" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">reals_s2v</text>
</g>
<!-- interface~real~2 -->
<g id="proc~~reals_s2v~~CalledByGraph_node2" class="node">
<title>interface~real~2</title>
<g id="a_proc~~reals_s2v~~CalledByGraph_node2"><a xlink:href=".././interface/real%7E2.html" xlink:title="real">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">real</text>
</a>
</g>
</g>
<!-- interface~real~2&#45;&gt;proc~reals_s2v -->
<g id="proc~~reals_s2v~~CalledByGraph_edge1" class="edge">
<title>interface~real~2&#45;&gt;proc~reals_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.1054,-12C62.094,-12 71.0028,-12 79.5978,-12"/>
<polygon fill="#000000" stroke="#000000" points="79.8433,-15.5001 89.8432,-12 79.8432,-8.5001 79.8433,-15.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>